com.mapinfo.midev.dp.file

## Class FileConnectionDefinition

- java.lang.Object
- - com.mapinfo.midev.dp.file.FileConnectionDefinition

    public final class FileConnectionDefinition
    extends Object

The definition of a connection based on some file system location.

### Constructor Summary

Constructors
Constructor and Description
`FileConnectionDefinition(File directory)` Create a connection definition with a directory on the file system.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`File` `getDirectory()` Get the directory on the file system.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileConnectionDefinition

    public FileConnectionDefinition(File directory)

Create a connection definition with a directory on the file system.

Parameters:
  `directory` - a directory on the file system.

### Method Detail

#### getDirectory

    public File getDirectory()

Get the directory on the file system.

Returns:
  the directory on the file system.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`